#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libgweather-4.6.0

- Next

  libshumate-1.6.1

- Up
- Home

# libpeas-1.38.1

## Introduction to libpeas

libpeas is a GObject based plugins engine, and is targeted at giving every application the chance to assume its own extensibility.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libpeas/1.38/libpeas-1.38.1.tar.xz

- Download MD5 sum: 5e2388cd39322cd121be67ef398297d6

- Download size: 192 KB

- Estimated disk space required: 13 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libpeas Dependencies

#### Required

GLib-2.88.0 (with GObject Introspection) and GTK-3.24.52

#### Recommended

libxml2-2.15.3

#### Optional

Gi-DocGen-2026.1, Glade, embed, LGI (for LUA bindings, built with LUA-5.1), with either luajit-20260213 or LUA-5.1

## Installation of libpeas

Install libpeas by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr          \
                --buildtype=release    \
                --wrap-mode=nofallback \
                -D python3=false       \
                ..                     &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir =/s@\$@/ 'libpeas-1.38.1'@" \
        -i ../docs/reference/meson.build       &&
    meson configure -D gtk_doc=true            &&
    ninja

To test the results, issue: ninja test. An active graphical session with bus address is necessary to run the tests.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nofallback`: This switch prevents meson from using subproject fallbacks for any dependency declarations in the build files, preventing it from downloading any optional dependencies which are not installed on the system.

`-D python3=false`: This switch disables the Python plugin loader because it is incompatible with pygobject-3.52.x, and it will cause applications which load Python plugins to hang indefinitely.

`-D vapi=true`: Add this switch if you wish to generate vapi (vala) data.

`-D demos=false`: Add this switch if you do not wish to build the demo programs.

## Contents

Installed Program: peas-demo
Installed Libraries: libpeas-1.0.so and libpeas-gtk-1.0.so
Installed Directories: /usr/include/libpeas-1.0, /usr/lib/libpeas-1.0, /usr/lib/peas-demo and /usr/share/gtk-doc/html/libpeas (optional)

### Short Descriptions

peas-demo | is the Peas demo program
`libpeas-1.0.so` | contains the libpeas API functions
`libpeas-gtk-1.0.so` | contains the libpeas GTK+ widgets

- Prev

  libgweather-4.6.0

- Next

  libshumate-1.6.1

- Up
- Home